package com.care.bigscreen.controller;

import com.care.service.CommonService;
import com.care.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author javadoc
 * @version 1.0
 * @description 系统设置-字典管理模块-前端控制器
 * @date
 */
@Slf4j
@RestController
@RequestMapping("/bms/system/common")
public class CommonController {

    @Autowired
    CommonService commonService;
    /**
     * 字典：字段查重（字典选项代码）
     * 作用：添加或修改时对必须唯一的字段进行查重
     *
     * @param typeCode 收集需要查重的字段参数
     * @return 返回0表示字段没有重复，非零表示有重复
     */
    @GetMapping("/convertedCodeName")
    public Result<Object> convertedCodeName(@RequestParam("typeCode") String typeCode,@RequestParam("value") String value) {
        try {
            String name = commonService.convertedCodeName(typeCode,value);
                return Result.success("成功",name);
        } catch (Exception e) {
            return Result.error("系统错误，查询失败");
        }
    }


}
