package com.care.bigscreen.service.impl;


import com.care.bigscreen.mapper.StStationMapper;
import com.care.bigscreen.service.StStationService;
import com.care.bigscreen.vo.BigScreenStationVO;
import com.care.bigscreen.vo.BigScreenStatisticsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * @author stw
 * @version 1.0
 * @description 站点统计表接口实现类
 * @date 2021/05/20/19:41
 */
@Service
public class StStationServiceImpl implements StStationService {

    @Autowired
    private StStationMapper stStationMapper;

    /**
     * 大屏统计查询
     * @return 搜索符合条件的大屏统计数据
     */
    @Override
    public BigScreenStatisticsVO selectBigScreenStatistics(Long stationId, Long orgId){
        return stStationMapper.selectBigScreenStatistics(stationId,orgId);
    }

    /**
     * 大屏统计查询
     * @return 根据经纬度范围搜索符合条件的大屏统计数据
     */
    @Override
    public BigScreenStatisticsVO selectBigScreenStatisticsByLongitudeLatitude(String longitudeLeftUp,String latitudeLeftUp,String longitudeRightDown,String latitudeRightDown,Long orgId) {
        return stStationMapper.selectBigScreenStatisticsByLongitudeLatitude(longitudeLeftUp,latitudeLeftUp,longitudeRightDown,latitudeRightDown,orgId);
    }

    /**
     * 站点列表查询
     */
    @Override
    public List<BigScreenStationVO> selectBigScreenStationList(Long orgId) {
        return stStationMapper.selectBigScreenStationList(orgId);
    }

    /**
     * 站点列表用户数TOP5查询
     */
    @Override
    public List<BigScreenStationVO> selectBigScreenStationListOlderTop5(Long orgId){
        return stStationMapper.selectBigScreenStationListOlderTop5(orgId);
    }

    /**
     * 站点列表安全事件数TOP5查询
     */
    @Override
    public List<BigScreenStationVO> selectBigScreenStationListEventTop5(Long orgId){
        return stStationMapper.selectBigScreenStationListEventTop5(orgId);
    }

}
