package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人表(CareOlder)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:32
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_older")
@ApiModel(value = "被监护人表", description = "")
public class CareOlder implements Serializable {
    private static final long serialVersionUID = 519345504309499891L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("姓名：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("生日")
    @TableField("BIRTHDAY")
    private Date birthday;


    @ApiModelProperty("居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    @TableField("LIVE_TYPE")
    private String liveType;


    @ApiModelProperty("床号或者门牌号")
    @TableField("BED_NUMBER")
    private String bedNumber;


    @ApiModelProperty("安全级别： 1 ：一级 2：二级 3: 三级")
    @TableField("SAFE_LEVEL")
    private String safeLevel;


    @ApiModelProperty("钥匙托管类型： 1 ：电子 2：机械 0：未托管")
    @TableField("KEY_ESCROW_TYPE")
    private String keyEscrowType;


    @ApiModelProperty("状态： 1正常，2离开房间，3久滞，4摔倒，5主动求助")
    @TableField("STATUS")
    private Integer status;


    @ApiModelProperty("呼吸频率")
    @TableField("BREATH_RATE")
    private Integer breathRate;


    @ApiModelProperty("心跳频率")
    @TableField("HEART_RATE")
    private Integer heartRate;


    @ApiModelProperty("地址")
    @TableField("ADDR")
    private String addr;


    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}