package com.care.outcall.controller;


import com.care.outcall.entity.KoalaLoggerEntity;
import com.care.outcall.service.KoalaOutCallService;
import com.care.util.JsonUtil;
import com.care.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/15
 **/
@Api(value = "外呼操作-->考拉外呼日志记录", description = "外呼操作-->考拉外呼日志记录")
@RestController
@RequestMapping("/mcdcc/outcall/")
public class KoalaOutCallController {
    private static final Logger logger = LogManager.getLogger(KoalaOutCallController.class);

    @Autowired
    private KoalaOutCallService koalaOutCallService;

    @ApiOperation(value = "记录呼叫中心日志API", notes = "记录呼叫中心日志")
    @PostMapping(value = "/koala/addOptLog", produces = "application/json;charset=UTF-8", consumes = "application/json;charset=UTF-8")
    public Result addOptLog(@RequestBody KoalaLoggerEntity koalaLoggerEntity) {
        try {
            if (logger.isDebugEnabled()) {
                logger.debug(JsonUtil.toJson(koalaLoggerEntity));
            }
            koalaOutCallService.addOptLog(koalaLoggerEntity);
        } catch (Exception e) {
            logger.error("记录日志接口异常，异常信息：" + e.getMessage());
        }
        return Result.success();
    }

    @ApiOperation(value = "考拉外呼--手动外呼--坐席基础信息接口", notes = "考拉外呼--手动外呼--坐席基础信息接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "token", value = "放在请求头中的令牌", dataType = "String", paramType = "header", required = true)
    })
    @GetMapping(value = "/koala/getAgentInfo")
    public Result getAgentInfo(@RequestHeader(name = "token") String token) {

        try {
//            Token tokenObj = TokenUtil.parseTokenStr(token);
//            String userId = token.getPayload().getId();
            String userId = "";
            Map<String, String> map = this.koalaOutCallService.getAgentInfo(userId);
            return Result.success();
        } catch (Exception e) {
            logger.error("获取坐席基础信息异常，信息为：" + e.getMessage());
            return Result.error(e.getMessage());
        }
    }
}
