package com.care.outcall.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 话单表
 *
 * @Auther: Han Yun Qing
 * @Date: Created In 2018/1/10 16:03
 * @Modified By:
 */
public class KoalaOutCallBill implements Serializable{
    // '主键值为uuid',
    private String id;
    //'呼叫号码或md5身份证号',
    private String clientFlowNo;
    //接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}',
    private String outCallStatus;
//接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}（原始状态）
    private String origOutCallStatus;
    //通话结果状态：1.成功通话2.废号（空号/欠费/停机）3.无法接通（占线/转秘书台）4.无法接通（占线/转秘书台）5.无人接（未接听）6.无人接（主动挂）7.传真机/总机8.关机
    private String callResultStatus;

    private String batchId;//'电信：任务编号，联通：批次号',

    private String sessionId;// '会话id,通话唯一标识，联通为uuid',
    private String teleEntId;//'企业id',
    private String teleAgentId;// '坐席id',
    private String outCallRadioStatus;//'录件获取状态,(电信：1.未获取,2.已获取),(联通：PRS001.未获取,PRS002.已获取,PRS003.已获取 ,无录音)',
    private String clientAlertStartTime;//'客户振铃开始时间,(电信：yyyyMMddHHmmss),(联通：有值，但是格式未知)',
    private String callDuration;//'通话时长，时间单位秒',
    private String hangupType;//'0.客户挂断,1.坐席挂断',
    private String callStartTime;// '通话开始时间',
    // '通话结束时间',
    private String callEndTime;
    // '音频地址',
    private String audioUrl;


    //业务字段
    private Date createTime;
    private Date updateTime;
    private String enterpriseNo;
    private String enterpriseId;


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getEnterpriseNo() {
        return enterpriseNo;
    }

    public void setEnterpriseNo(String enterpriseNo) {
        this.enterpriseNo = enterpriseNo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClientFlowNo() {
        return clientFlowNo;
    }

    public void setClientFlowNo(String clientFlowNo) {
        this.clientFlowNo = clientFlowNo;
    }

    public String getOutCallStatus() {
        return outCallStatus;
    }

    public void setOutCallStatus(String outCallStatus) {
        this.outCallStatus = outCallStatus;
    }


    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getTeleEntId() {
        return teleEntId;
    }

    public void setTeleEntId(String teleEntId) {
        this.teleEntId = teleEntId;
    }

    public String getTeleAgentId() {
        return teleAgentId;
    }

    public void setTeleAgentId(String teleAgentId) {
        this.teleAgentId = teleAgentId;
    }

    public String getOutCallRadioStatus() {
        return outCallRadioStatus;
    }

    public void setOutCallRadioStatus(String outCallRadioStatus) {
        this.outCallRadioStatus = outCallRadioStatus;
    }

    public String getClientAlertStartTime() {
        return clientAlertStartTime;
    }

    public void setClientAlertStartTime(String clientAlertStartTime) {
        this.clientAlertStartTime = clientAlertStartTime;
    }

    public String getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(String callDuration) {
        this.callDuration = callDuration;
    }


    public String getHangupType() {
        return hangupType;
    }

    public void setHangupType(String hangupType) {
        this.hangupType = hangupType;
    }

    public String getCallStartTime() {
        return callStartTime;
    }

    public void setCallStartTime(String callStartTime) {
        this.callStartTime = callStartTime;
    }

    public String getCallEndTime() {
        return callEndTime;
    }

    public void setCallEndTime(String callEndTime) {
        this.callEndTime = callEndTime;
    }

    public String getAudioUrl() {
        return audioUrl;
    }

    public void setAudioUrl(String audioUrl) {
        this.audioUrl = audioUrl;
    }


    public String getOrigOutCallStatus() {
        return origOutCallStatus;
    }

    public void setOrigOutCallStatus(String origOutCallStatus) {
        this.origOutCallStatus = origOutCallStatus;
    }

    public String getCallResultStatus() {
        return callResultStatus;
    }

    public void setCallResultStatus(String callResultStatus) {
        this.callResultStatus = callResultStatus;
    }


    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    @Override
    public String toString() {
        return "KoalaOutCallBill{" +
                "id='" + id + '\'' +
                ", clientFlowNo='" + clientFlowNo + '\'' +
                ", outCallStatus='" + outCallStatus + '\'' +
                ", origOutCallStatus='" + origOutCallStatus + '\'' +
                ", callResultStatus='" + callResultStatus + '\'' +

                ", batchId='" + batchId + '\'' +

                ", sessionId='" + sessionId + '\'' +
                ", teleEntId='" + teleEntId + '\'' +
                ", teleAgentId='" + teleAgentId + '\'' +
                ", outCallRadioStatus='" + outCallRadioStatus + '\'' +
                ", clientAlertStartTime='" + clientAlertStartTime + '\'' +
                ", callDuration='" + callDuration + '\'' +

                ", hangupType='" + hangupType + '\'' +
                ", callStartTime='" + callStartTime + '\'' +
                ", callEndTime='" + callEndTime + '\'' +
                ", audioUrl='" + audioUrl + '\'' +

                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseNo='" + enterpriseNo + '\'' +


                '}';
    }


}
